setwd("C:/user/GUIDO/LEHRE/GemischteModelle/Datenstze")
# setwd("C:/Users/knapp/Documents/Guido/Vorlesung")
boys <- read.table("Boys.txt", header=TRUE)

library(lme4)
# RI Modell
ri1 <- lmer(Length ~ 1 + Time + (1|Boy), data=boys, REML=FALSE)
# Residualplot 
plot(ri1)
## Q-Q-Plots
layout(matrix(1:2, ncol=2))
qint <- ranef(ri1)$Boy[["(Intercept)"]]
qres <- residuals(ri1)
qqnorm(qint, ylab="Estimated random intercepts", xlim=c(-3,3), main="Random Intercepts", ylim=c(-2,4))
qqline(qint)
qqnorm(qres, ylab="Estimated residuals",xlim=c(-3,3), main="Residuals", ylim=c(-6,6))
qqline(qres)


library(nlme)
# RI Modell
ri1.nlme <- lme(Length ~ 1 + Time, data=boys, random = ~ 1|Boy)
# Heteroskedastische Varianzen pro Zeitpunkt
ri2.nlme <- update(ri1.nlme, weights = varIdent(form =   ~1|Time))
# Heteroskedastische Varianzen pro Junge
ri3.nlme <- update(ri1.nlme, weights = varIdent(form =   ~1|Boy))
AIC(ri1.nlme, ri2.nlme, ri3.nlme)
BIC(ri1.nlme, ri2.nlme, ri3.nlme)
summary(ri3.nlme)
